# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gun_test/version'

Gem::Specification.new do |spec|
  spec.name          = "gun_test"
  spec.version       = GunTest::VERSION
  spec.authors       = ["Héctor"]
  spec.email         = ["hector0193@gmail.com"]
  spec.description   = %q{Simple DSL to test the output of any executable. Test the accuracy of your gun!}
  spec.summary       = %q{Simple DSL to test the output of any executable.}
  spec.homepage      = "https://github.com/hecrj/gun_test"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "test-unit"

  spec.add_runtime_dependency "colorize"
end
