require 'test/unit'
require 'gun_test'

class TestGun < Test::Unit::TestCase

  def setup
    @dir = File.dirname(__FILE__) + "/../guns"
    @gun = GunTest::Gun.new("#{@dir}/simple.out")
  end

  def test_reload
    assert @gun.reload("#{@dir}/simple.cc")
  end

  def test_shoot
    all_headshots = @gun.shoot do |i|
      bullet "a" * (i+1)
      target "a" * (i+1)
    end

    assert all_headshots
  end

end